Subject: Re: bug#62994: [PATCH 2/3] Add support for styled underlines on tty frames

From: Mohsin Kaleem <[email-masked]>
Date: Sat, 22 Apr 2023 10:32:23 +0100

Eli Zaretskii <[email-masked]> writes:

> Why are you doing this manually?  Emacs does that for you, as soon as
> you set indent-tabs-mode to a non-nil value.  .dir-locals.el in the
> Emacs Git repository should do that automatically; it already does on
> the release branch and soon will be doing that on the master branch as
> well.  And to reformat existing code, make a region around it and
> invoke "M-x tabify".
>
> There should be no need to insert tabs and spaces manually.

Cool. If that works then I'll just reindent any affected hunks using M-x
tabify :-). As for why I didn't do it before, I suppose because I'm used
to Emacs never being able to indent as it should and then re-indenting on
top of my changes with formatters like clang-format. When I don't have
that the only approach I know of is manual.

-- 
Mohsin Kaleem